IcedTea plug-in out of date

Bug #1024177 reported by Jim Chatman on 2012-07-13
This bug report is a duplicate of:  Bug #1025553: Plugin fails to load in Chrome. Edit Remove
128
This bug affects 28 people
Affects Status Importance Assigned to Milestone
icedtea-web (Ubuntu)
Undecided
Unassigned

Bug Description

Starting a couple days ago, each time I visit a crossword site, which optimally uses Java, I'm getting an error message that IcedTea is out of date and needs to be updated, but when I click the 'Update plug-in' button, I get taken to a wiki page, not an update page. I've updated Ubuntu daily and I still get the error and even tried updating it manually in Synaptic, last night, but found that the build available is the one I already have (I updated it anyway, just in case something was amiss - it wasn't).

I will attach a screenshot.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.12.0-0ubuntu3+ikarosdev3 [origin: LP-PPA-ikarosdev-unity-revamped]
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
Uname: Linux 3.2.0-26-generic i686
ApportVersion: 2.0.1-0ubuntu8
Architecture: i386
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CrashDB: unity
Date: Thu Jul 12 23:01:02 2012
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
SourcePackage: unity
UpgradeStatus: Upgraded to precise on 2012-04-26 (77 days ago)

Jim Chatman (alienmindgame) wrote :
Bilal Akhtar (bilalakhtar) wrote :

This has nothing to do with Unity.

affects: unity → firefox (Ubuntu)
Micah Gersten (micahg) wrote :

There was an icedtea update yesterday, is this fixed for you?

Changed in firefox (Ubuntu):
status: New → Incomplete

No. I did get the updates and applied them, but I still get this error
message: IcedTea was blocked because it is out of date. Also, this is
happening in Chrome, not Firefox, for what it's worth. I don't know who
moved this issue to Firefox, if it matters.

On Fri, Jul 13, 2012 at 6:28 PM, Micah Gersten <
<email address hidden>> wrote:

> There was an icedtea update yesterday, is this fixed for you?
>
> ** Changed in: firefox (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1024177
>
> Title:
> IcedTea plug-in out of date
>
> Status in “firefox” package in Ubuntu:
> Incomplete
>
> Bug description:
> Starting a couple days ago, each time I visit a crossword site, which
> optimally uses Java, I'm getting an error message that IcedTea is out
> of date and needs to be updated, but when I click the 'Update plug-in'
> button, I get taken to a wiki page, not an update page. I've updated
> Ubuntu daily and I still get the error and even tried updating it
> manually in Synaptic, last night, but found that the build available
> is the one I already have (I updated it anyway, just in case something
> was amiss - it wasn't).
>
> I will attach a screenshot.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.12.0-0ubuntu3+ikarosdev3 [origin:
> LP-PPA-ikarosdev-unity-revamped]
> ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
> Uname: Linux 3.2.0-26-generic i686
> ApportVersion: 2.0.1-0ubuntu8
> Architecture: i386
> CompizPlugins:
> [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
> CrashDB: unity
> Date: Thu Jul 12 23:01:02 2012
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to precise on 2012-04-26 (77 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1024177/+subscriptions
>

--
*JC*

Spartoid (petter-norrman) wrote :

Still affecting me in Chrome for Ubuntu 12.04:

:~$ aptitude show icedtea-6-plugin
Package: icedtea-6-plugin
State: installed
Automatically installed: no
Multi-Arch: same
Version: 1.2-2ubuntu1.1
Priority: extra
Section: web
Maintainer: Ubuntu Developers <email address hidden>
Architecture: amd64
Uncompressed Size: 283 k
Depends: openjdk-6-jre, icedtea-netx (= 1.2-2ubuntu1.1), libc6 (>= 2.14), libgcc1 (>= 1:4.1.1), libglib2.0-0 (>= 2.31.8), libgtk2.0-0 (>= 2.8.0), libstdc++6 (>= 4.6)
Conflicts: icedtea-gcjwebplugin (< 1.0-1ubuntu4), icedtea-gcjwebplugin (< 1.0-1ubuntu4), icedtea-plugin (< 1.2~pre1-1~), icedtea-plugin (< 1.2~pre1-1~), icedtea6-plugin (< 6b21.2~pre1-1~), icedtea6-plugin (< 6b21.2~pre1-1~)
Breaks: icedtea-6-plugin (!= 1.2-2ubuntu1.1)
Replaces: icedtea-gcjwebplugin, icedtea-gcjwebplugin, icedtea-plugin (< 1.2~pre1-1~), icedtea-plugin (< 1.2~pre1-1~), openjdk-6-jre (< 6b18-1.8.7-3), openjdk-6-jre (< 6b18-1.8.7-3), icedtea-6-plugin (< 1.2-2ubuntu1.1)
Provides: icedtea6-plugin
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible browsers that support the NPAPI.
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web

Spartoid (petter-norrman) wrote :

This is the chrome version running:

:~$ aptitude show google-chrome-stable
Package: google-chrome-stable
State: installed
Automatically installed: no
Version: 21.0.1180.57-r148591
Priority: optional
Section: web
Maintainer: Chrome Linux Team <email address hidden>
Architecture: amd64
Uncompressed Size: 131 M
Depends: libasound2 (> 1.0.22), libatk1.0-0 (>= 1.29.3), libbz2-1.0, libc6 (>= 2.11), libcairo2 (>= 1.6.0), libcups2 (>= 1.4.0), libdbus-1-3 (>= 1.2.14), libexpat1 (>= 1.95.8), libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.1.1), libgconf2-4 (>=
         2.27.0), libgcrypt11 (>= 1.4.2), libglib2.0-0 (>= 2.20.0), libgtk2.0-0 (>= 2.18.0), libnspr4-0d (>= 4.7.3-0ubuntu1~) | libnspr4 (>= 4.8.7-0ubuntu1), libnss3-1d (>= 3.12.3), libpango1.0-0 (>= 1.22.0), libstdc++6 (>= 4.4.0), libudev0 (>= 147), libx11-6 (>= 0),
         libxcomposite1 (>= 1:0.3-1), libxext6 (>= 0), libxfixes3 (>= 1:4.0.1), libxrender1, libxss1, zlib1g (>= 1:1.2.3.3.dfsg), ca-certificates, libcurl3, lsb-base (>= 3.2), xdg-utils (>= 1.0.2), wget
PreDepends: dpkg (>= 1.14.0)
Conflicts: google-chrome, google-chrome, google-chrome-stable
Replaces: google-chrome, google-chrome
Provides: google-chrome, www-browser
Description: The web browser from Google
 Google Chrome is a browser that combines a minimal design with sophisticated technology to make the web faster, safer, and easier.

Robin (rafal-bolanowski) wrote :

Affecting me as well.

affects: firefox (Ubuntu) → ubuntu
Justin T. (sxracer22) wrote :

Same issue here. I installed "OpenJDK Jave 7 Runtime" from the Software Center, and then "icedtea-7-plugin" from Apt-Get. I'm also using Google Chrome.

aptitude show google-chrome-stable
Package: google-chrome-stable
State: installed
Automatically installed: no
Version: 21.0.1180.79-r151411
Priority: optional
Section: web
Maintainer: Chrome Linux Team <email address hidden>
Architecture: amd64
Uncompressed Size: 131 M
Depends: libasound2 (> 1.0.22), libatk1.0-0 (>= 1.29.3), libbz2-1.0, libc6 (>=
         2.11), libcairo2 (>= 1.6.0), libcups2 (>= 1.4.0), libdbus-1-3 (>=
         1.2.14), libexpat1 (>= 1.95.8), libfontconfig1 (>= 2.8.0), libfreetype6
         (>= 2.3.9), libgcc1 (>= 1:4.1.1), libgconf2-4 (>= 2.27.0), libgcrypt11
         (>= 1.4.2), libglib2.0-0 (>= 2.20.0), libgtk2.0-0 (>= 2.18.0),
         libnspr4-0d (>= 4.7.3-0ubuntu1~) | libnspr4 (>= 4.8.7-0ubuntu1),
         libnss3-1d (>= 3.12.3), libpango1.0-0 (>= 1.22.0), libstdc++6 (>=
         4.4.0), libudev0 (>= 147), libx11-6 (>= 0), libxcomposite1 (>=
         1:0.3-1), libxext6 (>= 0), libxfixes3 (>= 1:4.0.1), libxrender1,
         libxss1, zlib1g (>= 1:1.2.3.3.dfsg), ca-certificates, libcurl3,
         lsb-base (>= 3.2), xdg-utils (>= 1.0.2), wget
PreDepends: dpkg (>= 1.14.0)
Conflicts: google-chrome, google-chrome, google-chrome-stable
Replaces: google-chrome, google-chrome
Provides: google-chrome, www-browser
Description: The web browser from Google
 Google Chrome is a browser that combines a minimal design with sophisticated
 technology to make the web faster, safer, and easier.

affects: ubuntu → icedtea-web (Ubuntu)
Changed in icedtea-web (Ubuntu):
status: Incomplete → Opinion
status: Opinion → Confirmed
Joe Mou (jmou) wrote :

Looks like this will be fixed in Chrome: http://code.google.com/p/chromium/issues/detail?id=138386

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.